
local delay = 2
local timing = nil
local number = 1
local alarm = 0
local lastTime = tonumber(Game.Time())
local nextTime = lastTime + delay

function removeAlarmClicked()
	--Game.StopSound("__ConvictionHeist", "HeistSFX7")
	this.Delete()
end

function metalDetectorAlarmClicked()
    Object.SetProperty(this,"Tooltip","tooltip_alarm1active")
	delay = 1
	alarm = 1
	Object.SetProperty(this, "Misbehavior", 1)
end

function freeFireAlarmClicked()
    Object.SetProperty(this,"Tooltip","tooltip_alarm1active")
	delay = 2
	alarm = 2
	Object.SetProperty(this, "Misbehavior", 1)
end

function lockdownAlarmClicked()
	disableAlarm()
	this.Sound("_World", "LockdownStart")
end

function alarmOff0Clicked()
	disableAlarm()
end

function alarmOff1Clicked()
	disableAlarm()
end

function disableAlarm()
    Object.SetProperty(this,"Tooltip","tooltip_alarm1")
	alarm = 0
	delay = 2
	Object.SetProperty(this, "Misbehavior", 0)
end

function Create()
	delay = 2
	timing = 0
	number = 1
	Object.SetProperty(this,"Tooltip","tooltip_alarm1")
	--this.Sound("__ConvictionHeist", "HeistSFX7")
	Interface.AddComponent(this,"lockdownAlarm", "Button", "tooltip_button_alarm","Trigger Lockdown Alarm","X")
	Interface.AddComponent(this,"dividerLabel0", "Caption", "tooltip_button_alarm","==============","X")
	Interface.AddComponent(this,"metalDetectorAlarm", "Button", "tooltip_button_alarm","Trigger Metal Detector Alarm","X")
	Interface.AddComponent(this,"alarmOff0", "Button", "tooltip_button_alarm","Disable Alarm","X")
	Interface.AddComponent(this,"dividerLabel1", "Caption", "tooltip_button_alarm","==============","X")
	Interface.AddComponent(this,"freeFireAlarm", "Button", "tooltip_button_alarm","Trigger Free Fire Alarm","X")
	Interface.AddComponent(this,"alarmOff1", "Button", "tooltip_button_alarm","Disable Alarm","X")
	Interface.AddComponent(this,"dividerLabel2", "Caption", "tooltip_button_alarm","==============","X")
	Interface.AddComponent(this,"removeAlarm", "Button", "tooltip_button_alarm","Remove","X")
end

function Update(timeP)
	if timing == nil then Create() end
	timing = timing + timeP
	local hasPower = ( this.Triggered or 0 ) > 0
	if timing > delay then
		if tonumber(Game.Time()) >= nextTime then
			lastTime = tonumber(Game.Time())
			nextTime = lastTime + delay
			--print(lastTime.." ".. lastTime + delay)
			if alarm == 1 then
				this.Sound("MetalDetector", "Alarm")
			elseif alarm == 2 then
				this.Sound("_World", "WeaponsFreeStart")
			elseif hasPower then
				if Object.GetProperty(this,"Tooltip") == "tooltip_alarm1" then
					Object.SetProperty(this,"Tooltip","tooltip_alarm1active")
				end
				this.Sound("_World", "WeaponsFreeStart")
			elseif not hasPower then
				if Object.GetProperty(this,"Tooltip") == "tooltip_alarm1active" then
					Object.SetProperty(this,"Tooltip","tooltip_alarm1")
				end
			end
			number = number + 1
			timing = 0
		end
	end
end